﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Plecak
{
    /// <summary>
    /// Reprezentuje obiekt w plecaku
    /// </summary>
    public class ObjectData
    {
        /// <summary>
        /// Tworzy nowy obiekt
        /// </summary>
        public ObjectData() { }

        /// <summary>
        /// Tworzy nowy obiekt
        /// </summary>
        /// <param name="weight">Waga obiektu</param>
        /// <param name="worth">Wartość obiektu</param>
        public ObjectData(double weight, double worth)
        {
            this.weight = weight;
            this.worth = worth;
        }

        /// <summary>
        /// Waga obiektu
        /// </summary>
        public double Weight
        {
            get { return weight; }
            set
            {
                if (weight != value)
                {
                    weight = value;
                }
            }
        }

        /// <summary>
        /// Wartość obiektu
        /// </summary>
        public double Worth
        {
            get { return worth; }
            set
            {
                if (worth != value)
                {
                    worth = value;
                }
            }
        }

        private double weight;
        private double worth;
    }
}
